<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Nu-LB-Mini51/inc/i2c_software_gpio_with_timer.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="../../dir_fb1ccf00aaf7e34f2c293a38601d8f12.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">i2c_software_gpio_with_timer.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __I2C_SOFTWARE_GPIO_WITH_TIMER_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __I2C_SOFTWARE_GPIO_WITH_TIMER_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html">   17</a></span><span class="keyword">typedef</span> <span class="keyword">struct</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a2aacefbfdf73b4809928d6dca50bcc8a">   19</a></span>    uint32_t     <a class="code hl_variable" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a2aacefbfdf73b4809928d6dca50bcc8a">COUNT</a>:4;   </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a013e0f344e244ac47cfc66b1fb2fad96">   20</a></span>    uint32_t     <a class="code hl_variable" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a013e0f344e244ac47cfc66b1fb2fad96">NACK</a>:1;        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#ada51c69a841f5ad5cf8432669b25ef8b">   21</a></span>    uint32_t     <a class="code hl_variable" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#ada51c69a841f5ad5cf8432669b25ef8b">START</a>:1;       </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#ac21efb773b6ceb2898d437594fefe7e8">   22</a></span>    uint32_t     <a class="code hl_variable" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#ac21efb773b6ceb2898d437594fefe7e8">STOP</a>:1;        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a6e8ef5045215c0a899d60be207af1639">   23</a></span>    uint32_t     <a class="code hl_variable" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a6e8ef5045215c0a899d60be207af1639">RW</a>:1;          </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a819c9419f591835332cab0d0ddbfd417">   24</a></span>    uint32_t     <a class="code hl_variable" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a819c9419f591835332cab0d0ddbfd417">BUSY</a>:1;        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#aeff85e785d3a4fcb784ebb6c2d7ee4e7">   25</a></span>    uint32_t     <a class="code hl_variable" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#aeff85e785d3a4fcb784ebb6c2d7ee4e7">RESERVE</a>:23;    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>} <a class="code hl_struct" href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html">I2C_SW_FLAG_T</a>;     </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">/* Define functions prototype                                                                           */</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>uint32_t <a class="code hl_function" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#ac1f09962a4e8407f58384531270dc131">I2C_SW_I_Open</a>(uint32_t u32BusClock);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>uint32_t <a class="code hl_function" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#ad1718089f74461b7482360f5dd0b284d">I2C_SW_I_Send</a>(uint8_t u8Address, uint8_t* p8Data, uint32_t u32ByteSize);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>uint32_t <a class="code hl_function" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#aedbe35225c1a245d8767f94bda029017">I2C_SW_I_Get</a>(uint8_t u8Address, uint8_t* p8Data, uint32_t u32ByteSize);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>uint32_t <a class="code hl_function" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#acef25674042c84614c2e54e26b99275b">I2C_SW_I_IsBZ</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>uint32_t <a class="code hl_function" href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#a92ef1cc8ac1c2a2f3f02ef76eeef8730">I2C_SW_I_Count</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="ai2c__software__gpio__with__timer_8h_html_a92ef1cc8ac1c2a2f3f02ef76eeef8730"><div class="ttname"><a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#a92ef1cc8ac1c2a2f3f02ef76eeef8730">I2C_SW_I_Count</a></div><div class="ttdeci">uint32_t I2C_SW_I_Count(void)</div><div class="ttdoc">Return byte counter.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00271">i2c_software_gpio_with_timer.c:271</a></div></div>
<div class="ttc" id="ai2c__software__gpio__with__timer_8h_html_ac1f09962a4e8407f58384531270dc131"><div class="ttname"><a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#ac1f09962a4e8407f58384531270dc131">I2C_SW_I_Open</a></div><div class="ttdeci">uint32_t I2C_SW_I_Open(uint32_t u32BusClock)</div><div class="ttdoc">Prepare to start software I2C.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00033">i2c_software_gpio_with_timer.c:33</a></div></div>
<div class="ttc" id="ai2c__software__gpio__with__timer_8h_html_acef25674042c84614c2e54e26b99275b"><div class="ttname"><a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#acef25674042c84614c2e54e26b99275b">I2C_SW_I_IsBZ</a></div><div class="ttdeci">uint32_t I2C_SW_I_IsBZ(void)</div><div class="ttdoc">Check if I2C is busy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00261">i2c_software_gpio_with_timer.c:261</a></div></div>
<div class="ttc" id="ai2c__software__gpio__with__timer_8h_html_ad1718089f74461b7482360f5dd0b284d"><div class="ttname"><a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#ad1718089f74461b7482360f5dd0b284d">I2C_SW_I_Send</a></div><div class="ttdeci">uint32_t I2C_SW_I_Send(uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</div><div class="ttdoc">Send data.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00232">i2c_software_gpio_with_timer.c:232</a></div></div>
<div class="ttc" id="ai2c__software__gpio__with__timer_8h_html_aedbe35225c1a245d8767f94bda029017"><div class="ttname"><a href="../../dc/da3/i2c__software__gpio__with__timer_8h.html#aedbe35225c1a245d8767f94bda029017">I2C_SW_I_Get</a></div><div class="ttdeci">uint32_t I2C_SW_I_Get(uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</div><div class="ttdoc">Read data.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcc/i2c__software__gpio__with__timer_8c_source.html#l00284">i2c_software_gpio_with_timer.c:284</a></div></div>
<div class="ttc" id="astruct_i2_c___s_w___f_l_a_g___t_html"><div class="ttname"><a href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html">I2C_SW_FLAG_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html#l00017">i2c_software_gpio_with_timer.h:18</a></div></div>
<div class="ttc" id="astruct_i2_c___s_w___f_l_a_g___t_html_a013e0f344e244ac47cfc66b1fb2fad96"><div class="ttname"><a href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a013e0f344e244ac47cfc66b1fb2fad96">I2C_SW_FLAG_T::NACK</a></div><div class="ttdeci">uint32_t NACK</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html#l00020">i2c_software_gpio_with_timer.h:20</a></div></div>
<div class="ttc" id="astruct_i2_c___s_w___f_l_a_g___t_html_a2aacefbfdf73b4809928d6dca50bcc8a"><div class="ttname"><a href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a2aacefbfdf73b4809928d6dca50bcc8a">I2C_SW_FLAG_T::COUNT</a></div><div class="ttdeci">uint32_t COUNT</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html#l00019">i2c_software_gpio_with_timer.h:19</a></div></div>
<div class="ttc" id="astruct_i2_c___s_w___f_l_a_g___t_html_a6e8ef5045215c0a899d60be207af1639"><div class="ttname"><a href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a6e8ef5045215c0a899d60be207af1639">I2C_SW_FLAG_T::RW</a></div><div class="ttdeci">uint32_t RW</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html#l00023">i2c_software_gpio_with_timer.h:23</a></div></div>
<div class="ttc" id="astruct_i2_c___s_w___f_l_a_g___t_html_a819c9419f591835332cab0d0ddbfd417"><div class="ttname"><a href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#a819c9419f591835332cab0d0ddbfd417">I2C_SW_FLAG_T::BUSY</a></div><div class="ttdeci">uint32_t BUSY</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html#l00024">i2c_software_gpio_with_timer.h:24</a></div></div>
<div class="ttc" id="astruct_i2_c___s_w___f_l_a_g___t_html_ac21efb773b6ceb2898d437594fefe7e8"><div class="ttname"><a href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#ac21efb773b6ceb2898d437594fefe7e8">I2C_SW_FLAG_T::STOP</a></div><div class="ttdeci">uint32_t STOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html#l00022">i2c_software_gpio_with_timer.h:22</a></div></div>
<div class="ttc" id="astruct_i2_c___s_w___f_l_a_g___t_html_ada51c69a841f5ad5cf8432669b25ef8b"><div class="ttname"><a href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#ada51c69a841f5ad5cf8432669b25ef8b">I2C_SW_FLAG_T::START</a></div><div class="ttdeci">uint32_t START</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html#l00021">i2c_software_gpio_with_timer.h:21</a></div></div>
<div class="ttc" id="astruct_i2_c___s_w___f_l_a_g___t_html_aeff85e785d3a4fcb784ebb6c2d7ee4e7"><div class="ttname"><a href="../../da/da8/struct_i2_c___s_w___f_l_a_g___t.html#aeff85e785d3a4fcb784ebb6c2d7ee4e7">I2C_SW_FLAG_T::RESERVE</a></div><div class="ttdeci">uint32_t RESERVE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/da3/i2c__software__gpio__with__timer_8h_source.html#l00025">i2c_software_gpio_with_timer.h:25</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:38 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
